#ifndef _FUTIL_H
#define _FUTIL_H

#ifdef __cplusplus
extern "C" {
#endif

#ifndef CONST
# ifdef __cplusplus
#  define CONST const
# else
#  define CONST
# endif
#endif


#define NODATA	(-2)		/* for async_getc(), async_fnextc() */

extern int fexpectstr(FILE *, CONST char *str);
extern int fexpecttoken(FILE *, CONST char *);
extern int fgetnf(FILE *, int nfloats, float *, int binary);
extern int fgetni(FILE *, int nints, int *, int binary);
extern int fgetns(FILE *, int nshorts, short *, int binary);
extern int fgettransform(FILE *, int ntrans, float *, int binary);
extern int fnextc(FILE *, int flags);
extern int async_getc(FILE *);
extern int async_fnextc(FILE *, int flags);
extern int fputnf(FILE *, int nfloats, CONST float *, int binary);
extern int fputtransform(FILE *, int ntrans, float *, int binary);
extern char *ftoken(FILE *, int flags);
extern char *fdelimtok(char *delims, FILE *, int flags);

#ifdef __cplusplus
}
#endif

#endif /*_FUTIL_H*/
